document/content/docs/openapi/app.en.mdx
<Tabs items={["Request Example","Response Example","Parameters"]}>
<Tab value="Request Example">curl --location --request GET 'https://cloud.fastgpt.cn/api/proApi/core/app/logs/getTotalData?appId=68c46a70d950e8850ae564ba' \
--header 'Authorization: Bearer apikey'
{
"code": 200,
"statusText": "",
"message": "",
"data": {
"totalUsers": 0,
"totalChats": 0,
"totalPoints": 0
}
}
Response Parameters:
<Tabs items={["Request Example","Response Example","Parameters"]}>
<Tab value="Request Example">curl --location --request POST 'https://cloud.fastgpt.cn/api/proApi/core/app/logs/getChartData' \
--header 'Authorization: Bearer apikey' \
--header 'Content-Type: application/json' \
--data-raw '{
"appId": "68c46a70d950e8850ae564ba",
"dateStart": "2025-09-19T16:00:00.000Z",
"dateEnd": "2025-09-27T15:59:59.999Z",
"offset": 1,
"source": [
"test",
"online",
"share",
"api",
"cronJob",
"team",
"feishu",
"official_account",
"wecom",
"mcp"
],
"userTimespan": "day",
"chatTimespan": "day",
"appTimespan": "day"
}'
{
"code": 200,
"statusText": "",
"message": "",
"data": {
"userData": [
{
"timestamp": 1758585600000,
"summary": {
"userCount": 1,
"newUserCount": 0,
"retentionUserCount": 0,
"points": 1.1132600000000001,
"sourceCountMap": {
"test": 1,
"online": 0,
"share": 0,
"api": 0,
"cronJob": 0,
"team": 0,
"feishu": 0,
"official_account": 0,
"wecom": 0,
"mcp": 0
}
}
}
],
"chatData": [
{
"timestamp": 1758585600000,
"summary": {
"chatItemCount": 1,
"chatCount": 1,
"errorCount": 0,
"points": 1.1132600000000001
}
}
],
"appData": [
{
"timestamp": 1758585600000,
"summary": {
"goodFeedBackCount": 0,
"badFeedBackCount": 0,
"chatCount": 1,
"totalResponseTime": 22.31
}
}
]
}
}
Request Parameters:
Response Parameters: